#pragma once

#include <yandex/maps/wiki/revision/common.h>
#include <string>

namespace maps {
namespace wiki {
namespace revision {

class ObjectRevision;

} // namespace revision
namespace diffalert {

struct Relation;

Relation extractRelation(const revision::ObjectRevision& relRev);
std::string extractCategoryId(const revision::Attributes& attrs);

bool isGeomPartCategory(const std::string& categoryId);
bool isGeomPartRelation(const Relation& relation);
bool isInterior(const revision::ObjectRevision& objRev);

bool isSystemObjectRevision(const revision::ObjectRevision& objRev);
bool isTableAttrRevision(const revision::ObjectRevision& relRev);

} // namespace diffalert
} // namespace wiki
} // namespace maps
